GHSA-w4x6-j349-9r57

Suggest an improvement
Source
https://github.com/advisories/GHSA-w4x6-j349-9r57
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-w4x6-j349-9r57/GHSA-w4x6-j349-9r57.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-w4x6-j349-9r57
Aliases
Published
2022-05-14T03:45:20Z
Modified
2023-11-08T03:58:53.974100Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N CVSS Calculator
Summary
Apache NiFi host header poisoning issue
Details

A malicious host header in an incoming HTTP request could cause NiFi to load resources from an external server. The fix to sanitize host headers and compare to a controlled whitelist was applied on the Apache NiFi 1.5.0 release. Users running a prior 1.x release should upgrade to the appropriate release.

References

Affected packages

Maven / org.apache.nifi:nifi

Package

Name
org.apache.nifi:nifi
View open source insights on deps.dev
Purl
pkg:maven/org.apache.nifi/nifi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
1.0.0
Fixed
1.5.0

Affected versions

1.*

1.0.0
1.0.1
1.1.0
1.1.1
1.1.2
1.2.0
1.3.0
1.4.0